Subject: bug#67567: 30.0.50; mode-line-inactive face no longer light gray

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Dec 2023 14:18:04 +0200

> Date: Fri, 01 Dec 2023 19:44:43 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Somewhere within the past several commits the inactive mode line face
> ceased being assigned a background color distinct from the that of
> mode-line.  This problem manifests itself in emacs -Q as well, and
> should be a recent phenomenon, but I am presently short on time to
> further investigate or correct it.

Thanks, should be fixed now.

This was caused by the fix for bug#67404, which revealed a separate
bug in how :style attribute of the :box face attribute was validated.